%define module	jedi

Name:		python-%{module}
Version:	0.9.0
Release:	%mkrel 1
Summary:	An auto completion tool for Python that can be used for text editors
Group:		Development/Python
License:	LGPLv3
URL:		https://jedi.readthedocs.org/en/latest/index.html
Source0:	http://pypi.python.org/packages/source/j/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
 
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
Jedi is an auto completion tool for Python. It works. With and without
syntax errors. Sometimes it sucks, but that's normal in dynamic languages.
But it sucks less than other tools. It understands almost all of the basic
Python syntax elements including many built-ins.

Jedi uses a very simple interface to connect with IDE's. As an reference,
there is a VIM implementation, which uses Jedi's auto completion. However,
I encourage you to use Jedi in your IDEs. Start writing plugins! If there are
problems with licensing, just contact me.

%package -n	python3-%{module}
Summary:	An auto completion tool for Python 3 that can be used for text editors
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
Jedi is an auto completion tool for Python 3. It works. With and without
syntax errors. Sometimes it sucks, but that's normal in dynamic languages.
But it sucks less than other tools. It understands almost all of the basic
Python syntax elements including many built-ins.

Jedi uses a very simple interface to connect with IDE's. As an reference,
there is a VIM implementation, which uses Jedi's auto completion. However,
I encourage you to use Jedi in your IDEs. Start writing plugins! If there are
problems with licensing, just contact me.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build

%py3_build

%install
%py2_install

%py3_install

%files
%doc README.rst LICENSE.txt
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Dec 17 2015 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 911220
- imported package python-jedi (based on Fedora)

